Package: org.gradle.api

## [Java] Interface ProjectState

- `ProjectState` provides information about the execution state of a project.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `getExecuted()`
    `Throwable` | `getFailure()` Returns the exception describing the project failure, if any.
    `void` | `rethrowFailure()` Throws the project failure, if any.

- - ### Method Detail

    - #### public boolean getExecuted()

      Returns true if this project has been evaluated.

      Returns:
        true if this project has been evaluated.

    - #### public Throwable getFailure()

      Returns the exception describing the project failure, if any.

      Returns:
        The exception, or null if project evaluation did not fail.

    - #### public void rethrowFailure()

      Throws the project failure, if any. Does nothing if the project did not fail.